Bug 583202

Summary: resume from suspend fails if hibernate has been used since last boot
Product: [Fedora] Fedora Reporter: James Cassell <fedoraproject>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 13CC: anton, dougsland, gansalmon, itamar, jonathan, kernel-maint, sassmann
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 11:39:50 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 507684    

Description James Cassell 2010-04-16 21:28:16 EDT
Description of problem:
If I hibernate my system, then resume; then subsequently suspend my system, it doesn't resume.
I can suspend and resume an arbitrary number of times, just fine.  I can also hibernate and resume an arbitrary number of times just fine.  I can also hibernate and resume an arbitrary number of times after suspending and resuming an arbitrary number of times.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Hibernate System
2. Resume System
3. Suspend System
4. Try to resume system
Actual results:
system makes noise like it's coming on, but the sleep "moon" light stays on, and the screen stays dark.

Expected results:
system should resume from suspend as it does in other circumstances

Additional info:
ThinkPad T61, Core2Duo, 4GiB ram, nVidia Quadro 140M

This problem also existed in Fedora 12.  I just upgraded to F13-beta (and updates) to see if the problem existed here, too.  It does (hence, the bug report)
Comment 1 James Cassell 2010-05-04 02:07:10 EDT
still present in
Comment 2 James Cassell 2010-05-18 10:06:18 EDT
hmm, it seems to be magically fixed in and I'll do some more testing later to be sure
Comment 3 Bug Zapper 2011-06-02 11:13:11 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2011-06-27 11:39:50 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.